# OpenLayers.Handler.Hover

The hover handler is to be used to emulate mouseovers on objects on the map that aren’t DOM elements. For example one can use this handler to send WMS/GetFeatureInfo requests as the user moves the mouve over the map.

#### Inherits from

- OpenLayers.Handler

Summary

OpenLayers.Handler.Hover | The hover handler is to be used to emulate mouseovers on objects on the map that aren’t DOM elements.
Properties |
delay |
pixelTolerance |
stopMove |
Constructor |
OpenLayers.Handler.Hover | Construct a hover handler.
Functions |
deactivate | Deactivate the handler.

### Properties

### delay

{Integer} | Number of milliseconds between mousemoves before the event is considered a hover. Default is 500.

### pixelTolerance

{Integer} | Maximum number of pixels between mousemoves for an event to be considered a hover. Default is null.

### stopMove

{Boolean} | Stop other listeners from being notified on mousemoves. Default is false.

### Constructor

### OpenLayers.Handler.Hover

Construct a hover handler.

#### Parameters

control | {OpenLayers.Control} The control that initialized this handler. The control is assumed to have a valid map property; that map is used in the handler’s own setMap method.
callbacks | {Object} An object with keys corresponding to callbacks that will be called by the handler. The callbacks should expect to receive a single argument, the event. Callbacks for ‘move’, the mouse is moving, and ‘pause’, the mouse is pausing, are supported.
options | {Object} An optional object whose properties will be set on the handler.

### Functions

### deactivate

> deactivate: function()

Deactivate the handler.

#### Returns

{Boolean} The handler was successfully deactivated.

> deactivate: function()

Deactivate the handler.
Base class to construct a higher-level handler for event sequences.
Controls affect the display or behavior of the map.
Close